File ruby-ldap.spec of Package ruby-ldap

#
# spec file for package ruby-ldap (Version 0.9.7)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           ruby-ldap
Version:        0.9.7
Release:        1
#
License:        BSD License and BSD-like
Group:          Development/Languages/Ruby
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  openldap2 openldap2-devel ruby-devel
#
URL:            http://sourceforge.net/projects/ruby-ldap/
Source:         http://prdownloads.sourceforge.net/ruby-ldap/%{name}-%{version}.tar.gz
#
Summary:        A Ruby Extension Library for Accessing the LDAP API

%description
Ruby/LDAP is an extension module for Ruby. It provides the interface to
some LDAP libraries (for example, OpenLDAP, UMich LDAP, Netscape SDK,
and ActiveDirectory). The common API for application development is
described in RFC1823 and most libraries comply with it. Ruby/LDAP
supports those libraries.



Authors:
--------
    Takaaki Tateishi <ttate@users.sourceforge.net>
    Ian Macdonald <ian@caliban.org>

%prep
%setup

%build
ruby -rvendor-specific extconf.rb \
    --with-ldap-libdir=%{_libdir}
%{__make}
# TODO: rdoc for C files is broken atm
rdoc --all --line-numbers --charset=UTF-8 \
     --fmt=html -p --inline-source        \
     --op=rdoc lib

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_libdir}/ruby/vendor_ruby/%{rb_ver}/ldap/
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/ldap/control.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/ldap/ldif.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/ldap/schema.rb
%{_libdir}/ruby/vendor_ruby/%{rb_ver}/%{rb_arch}/ldap.so
%doc ChangeLog FAQ README* TODO
%doc example/ test/ rdoc/

%changelog -n ruby-ldap
* Sat Sep 30 2006 - mrueckert@suse.de
- install into vendor_ruby
* Fri Aug 25 2006 - mrueckert@suse.de
- Update to version 0.9.7:
  o minor documentation fixes
  o small compile fixes
* Wed May 24 2006 - mrueckert@suse.de
- Update to version 0.9.5
  o The software now builds and works out of the box on Windows.
  Changes from 0.9.4:
  o Modify LDAP::Conn#search, LDAP::Conn#search2,
  LDAP::Conn#search_ext and LDAP::Conn#search_ext2 to treat
  LDAP_SIZELIMIT_EXCEEDED as success. After using any of these
  four methods, the user should check whether
  LDAP::Conn#err == LDAP::LDAP_SIZELIMIT_EXCEEDED.
  If true, the results set has been truncated by the server.
  Previously, LDAP_SIZELIMIT_EXCEEDED would raise an exception
  and no results would be returned, which is not the correct
  behaviour if the user has deliberately put a limit on the
  number of results to be returned, in order to spare the
  server.
  o Duplicate code refactored.
  o Missing RDoc documentation added for LDAP::Conn#err.
  Changes from 0.9.3
  o LDAP::Schema#names and LDAP::Schema#attr will now allow
  names with hyphens and/or underscores.
  o Silence a warning about @sasl_quiet when run in debug mode.
  o Fix uninitialised data structures in LDAP::SSLConn#bind and
  LDAP::SSLConn#simple_bind.
  o Build properly with OpenLDAP 2.3.
  o Build-time options --with-ldap-incdir and --with-ldap-libdir
  have been replaced by --with-ldap-include and --with-ldap-lib.
  This is a consequence of making extconf.rb more standard.
  o Windows build has been improved, so that it should now at least
  build without error. Whether it will work is another matter.
- removed ruby-ldap-0.9.2_ldapapi.patch:
  this patch is no longer needed
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Nov 18 2005 - mrueckert@suse.de
- Cleanup the package
- Adding documentation to the package
* Wed Sep 14 2005 - dmacvicar@suse.de
- Initial package with v 0.9.2